org.eclipse.microprofile.rest.client.ext

## Interface ResponseExceptionMapper<T extends Throwable>

    public interface ResponseExceptionMapper<T extends Throwable>

Converts an JAX-RS Response object into an Exception.

### Field Summary

Fields
`static int` `DEFAULT_PRIORITY`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default int` `getPriority()` The priority of this mapper.
`default boolean` `handles(int status, jakarta.ws.rs.core.MultivaluedMap<String,Object> headers)` Whether or not this mapper will be used for the given response.
`T` `toThrowable(jakarta.ws.rs.core.Response response)` Converts a given Response into a Throwable.

### Field Detail

#### DEFAULT_PRIORITY

    static final int DEFAULT_PRIORITY

See Also:
  Constant Field Values

### Method Detail

#### toThrowable

    T toThrowable(jakarta.ws.rs.core.Response response)

Converts a given Response into a Throwable. The runtime will throw this if it is non-null AND if it is possible to throw given the client method's signature. If this method reads the response body as a stream it must ensure that it resets the stream.

Parameters:
  `response` - the JAX-RS response processed from the underlying client
Returns:
  A throwable, if this mapper could convert the response.

#### handles

    default boolean handles(int status,
                            jakarta.ws.rs.core.MultivaluedMap<String,Object> headers)

Whether or not this mapper will be used for the given response. By default, any response code of 400 or higher will be handled. Individual mappers may override this method if they want to more narrowly focus on certain response codes or headers.

Parameters:
  `status` - the response status code indicating the HTTP response
  `headers` - the headers from the HTTP response
Returns:
  whether or not this mapper can convert the Response to a Throwable

#### getPriority

    default int getPriority()

The priority of this mapper. By default, it will use the `Priority` annotation's value as the priority. If no annotation is present, it uses a default priority of `Priorities.USER`.

Returns:
  the priority of this mapper